package TX_OtherClass;

public final class ServerInfo extends JceStruct {
    public String host;
    public String ip;
    public int netMode;

    public ServerInfo(String arg2, int arg3, String arg4) {
        super();
        this.ip = "";
        this.netMode = 0;
        this.host = "";
        this.ip = arg2;
        this.netMode = arg3;
        this.host = arg4;
    }

    public ServerInfo() {
        super();
        this.ip = "";
        this.netMode = 0;
        this.host = "";
    }

    public final void readFrom(c arg4) {
        this.ip = arg4.b(0, true);
        this.netMode = arg4.a(this.netMode, 1, false);
        this.host = arg4.b(2, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.ip, 0);
        arg3.a(this.netMode, 1);
        if(this.host != null) {
            arg3.a(this.host, 2);
        }
    }
}
